#ifndef USART_H
#define	USART_H
//------------------------------------------------------------------------------
void USART_init()
{
  TXSTA =  0x10;   //Slave mode, Synchronous Mode
  RCSTA =  0x90;   //Set SPEN and CREN bits
  TRISB1 = 1;      //DT: Data
  TRISB2 = 1;      //CK: Clock
}
//------------------------------------------------------------------------------
void USART_write(char send)
{
  while(!TRMT);  //Poll if TSR is Full  TRMT   TXIF
  TXREG = send;
}
//------------------------------------------------------------------------------
char USART_read()
{
  while(!RCIF);
  return RCREG;
}
//------------------------------------------------------------------------------
char* USART_readString()
{
   char inChar = 0;
   char inStr[15];
   int  count = 0;  

   while((inChar != '\n') && (count < 15))
   {
    inChar = USART_read();
    inStr[count++] = inChar;
   } 
   
   return inStr;
}
//------------------------------------------------------------------------------
#endif